require 'text'

class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  before_action :authenticate_user!
  protect_from_forgery with: :exception
  helper :layout
  helper_method :admin?
    
  def admin?
    current_user.andand.admin ? true : false
  end
  
  private
  
  def ensure_admin!
    unless current_user.admin
      redirect_to root_path
      return false
    end  
  end

  def after_sign_in_path_for(resource)
    root_path
  end
  
  # rozhodve zdali je konkretni filter nastaven
  def filter_set?(filter_name)
    !params[:filter].nil? and ((params[:filter]==filter_name) or (params[:filter].include? filter_name))
  end

end
